=== debian/changelog ===
expeyes (4.4.3+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * initiated a backport
  * lowered Standards-Version
  * modified dependencies of eyes17
  * modified the command bin/eyes17 to use python2

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 13 Jul 2018 15:22:28 +0200

expeyes (4.4.3+dfsg-1) unstable; urgency=medium

  * added Frans Spiesschaert's nl.po file. Closes: #898869
  * new upstream release.
  * added the dependency eyes17 -> python3-pyqt5.qtwebkit, removed
    the dependency eyes17 -> python-qgis.

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 13 Jul 2018 14:17:26 +0200

expeyes (4.4.2+dfsg-1) unstable; urgency=medium

  * upgraded to upstream new version
  * applied the patch from Adriano Rafael. Closes: #903356
  * upgraded Standards-Version to 4.1.5
  * modified the way to install eyes17 documentation and help files
  * fixed lintian warnings/errors

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 09 Jul 2018 13:32:47 +0200

expeyes (4.3.7+dfsg-2) unstable; urgency=medium

  * added debian/po/ru.po, thanks to Lev Lamberov.
    Closes: #898163

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 08 May 2018 19:28:34 +0200

expeyes (4.3.7+dfsg-1) unstable; urgency=medium

  * New upstream release: to fix an issue with file saving, due to
    changes of __builtin__ since python2
  * Upgraded Standards-Version: 4.1.4
  * added ExpEYES17/UserManual/fr/eyes17-a4.pdf in d/source/include-binaries
  * modified the installation rules for the PDF documents of eyes17

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 05 May 2018 12:12:17 +0200
