=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: expeyes
 Section: science
-Priority: extra
+Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper (>= 10), quilt, python3-all, python-all,
+Build-Depends: debhelper (>= 10), quilt,
+ python3-all, python-all, dh-python,
  gcc-avr, binutils-avr, avr-libc (>=1:1.8.0+Atmel3.5.0),
  pkg-config, libgtk2.0-dev, x11proto-randr-dev (>= 1.5.0),
  pyqt4-dev-tools, qt4-linguist-tools
-X-Python-Version: >= 2.5
-X-Python3-Version: >= 3.2
-Standards-Version: 4.1.3
+Standards-Version: 3.9.6
 Homepage: http://expeyes.in/
+Vcs-Browser: https://salsa.debian.org/georgesk/expeyes
+Vcs-Git: https://salsa.debian.org/georgesk/expeyes.git
 
 Package: expeyes
 Architecture: all
@@ -37,11 +38,10 @@
 Package: eyes17
 Architecture: all
 Depends: python, python3, ${misc:Depends},
- python-expeyes (= ${source:Version}), python-qgis,
- python3-pyqtgraph, python3-pyqt5,
+ python-expeyes (= ${source:Version}),
+ python-pyqtgraph, python-qt4, python-qgis,
  python-configparser
-Recommends: python-numpy, python-scipy, python3-numpy, python3-scipy,
- python3-pyqt5.qtwebengine
+Recommends: python-numpy, python-scipy, python-numpy, python-scipy
 Description: hardware & software framework for developing science experiments
  This package provides high level interfaces for making science experiments
  with an ExpEYES-17 box.
