=== debian/rules ===
--- 
+++ 
@@ -30,6 +30,9 @@
 	dh_auto_clean
 	rm -rf $(HOME)
 
+DocDir = $(CURDIR)/debian/eyes17/usr/share/expeyes/doc
+DocDirSource = $(CURDIR)/ExpEYES17/UserManual
+
 override_dh_install:
 	make install_indep DESTDIR=$(CURDIR)/debian/tmp
 	dh_install
@@ -37,6 +40,3 @@
 	make -C microhope/po install DESTDIR=$(CURDIR)/debian/microhope
 	# prevents lintian error about PYCACHE
 	find $(CURDIR)/debian/ -type d -name __pycache__| xargs rm -rf;
-	# renames the documentation for eyes17
-	DocDir=$(CURDIR)/debian/eyes17/usr/share/expeyes/doc/; \
-	  [ ! -f $${DocDir}/eyes17-a4.pdf ] || mv  $${DocDir}/eyes17-a4.pdf $${DocDir}/en-eyes17.pdf
